> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Grn



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/grn
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/grn:
    post:
      tags:
        - Goods Receipt Notes
      summary: Create Grn
      operationId: create_grn_api_v1_grn_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrnCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrnResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    GrnCreate:
      properties:
        grnNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Grnnumber
        purchaseOrderId:
          type: string
          title: Purchaseorderid
        receivedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Receiveddate
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        lineItems:
          items:
            $ref: '#/components/schemas/GrnLineItemCreate'
          type: array
          title: Lineitems
      type: object
      required:
        - purchaseOrderId
        - lineItems
      title: GrnCreate
    GrnResponse:
      properties:
        id:
          type: string
          title: Id
        grnNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Grnnumber
        purchaseOrderId:
          type: string
          title: Purchaseorderid
        orderType:
          type: string
          title: Ordertype
          default: bulk
        receivedDate:
          type: string
          format: date-time
          title: Receiveddate
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        lineItems:
          items:
            $ref: '#/components/schemas/GrnLineItemResponse'
          type: array
          title: Lineitems
      type: object
      required:
        - id
        - purchaseOrderId
        - receivedDate
        - createdAt
        - updatedAt
        - lineItems
      title: GrnResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GrnLineItemCreate:
      properties:
        poLineId:
          type: string
          title: Polineid
        quantityReceived:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Quantityreceived
          default: '0.00'
        damageQuantity:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Damagequantity
          default: '0.00'
        remarks:
          anyOf:
            - type: string
            - type: 'null'
          title: Remarks
      type: object
      required:
        - poLineId
      title: GrnLineItemCreate
    GrnLineItemResponse:
      properties:
        id:
          type: string
          title: Id
        grnId:
          type: string
          title: Grnid
        poLineId:
          type: string
          title: Polineid
        quantityReceived:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Quantityreceived
        damageQuantity:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Damagequantity
        remarks:
          anyOf:
            - type: string
            - type: 'null'
          title: Remarks
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - grnId
        - poLineId
        - quantityReceived
        - damageQuantity
      title: GrnLineItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````